<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingTop="20dp"
    android:paddingEnd="16dp"
    android:paddingBottom="15dp"
    android:background="@color/background_white">

    <TextView
        android:id="@+id/titleTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginEnd="16dp"
        android:textColor="@color/text_title"
        android:textStyle="bold"
        android:textSize="16sp"
        android:singleLine="true"
        android:ellipsize="end"
        android:includeFontPadding="false"
        tools:text="存档标题存档标题存档标题存档标题存档标题存档标题"
        app:layout_constrainedWidth="true"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/downloadBtn" />

    <TextView
        android:id="@+id/timeTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="8dp"
        android:includeFontPadding="false"
        android:textColor="@color/text_subtitleDesc"
        android:textSize="11sp"
        tools:text="2022-11-11  20:30"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/titleTv" />

    <TextView
        android:id="@+id/versionTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginEnd="16dp"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:textColor="@color/text_subtitleDesc"
        android:textSize="11sp"
        tools:text="版本：v168.6888.6888"
        app:layout_constrainedWidth="true"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toEndOf="@+id/timeTv"
        app:layout_constraintEnd_toStartOf="@+id/downloadBtn"
        app:layout_constraintTop_toTopOf="@+id/timeTv"
        app:layout_constraintBottom_toBottomOf="@+id/timeTv" />

    <TextView
        android:id="@+id/downloadBtn"
        android:layout_width="56dp"
        android:layout_height="28dp"
        android:background="@drawable/button_round_primary_light"
        android:gravity="center"
        android:textColor="@color/theme_font"
        android:textSize="12sp"
        android:text="下载"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintEnd_toEndOf="parent" />


    <TextView
        android:id="@+id/contentTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="12dp"
        android:maxLines="2"
        android:ellipsize="end"
        android:textColor="@color/text_subtitle"
        android:textSize="14sp"
        tools:text="存档描述存档描述存档描述存档描述存档描述存档描述存档描述存档描述存档描述存档描述存档描述存档描述存档描述存档描述"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constrainedWidth="true"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/timeTv" />

    <com.gh.gamecenter.common.view.AvatarBorderView
        android:id="@+id/userIcon"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="11dp"
        android:layout_marginTop="3dp"
        app:avatar_width="20dp"
        app:badge_width="10dp"
        app:border_width="0dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/contentTv" />

    <TextView
        android:id="@+id/userName"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="3dp"
        android:textColor="@color/text_subtitle"
        android:textSize="12sp"
        tools:text="用户名称用户名称用户名称"
        app:layout_constraintStart_toEndOf="@+id/userIcon"
        app:layout_constraintTop_toTopOf="@+id/userIcon"
        app:layout_constraintBottom_toBottomOf="@+id/userIcon" />

    <TextView
        android:id="@+id/usageTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textColor="@color/text_subtitleDesc"
        android:textSize="11sp"
        tools:text="1686 次使用"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/userIcon"
        app:layout_constraintBottom_toBottomOf="@+id/userIcon" />

</androidx.constraintlayout.widget.ConstraintLayout>